Index: trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 1203)
+++ trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 1272)
@@ -7,56 +7,50 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
-#-Q- sx8mercure  # Compiler options NEMO (CEA SX6-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind noopt_ieee -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sx8mercure  F_O = -f2003 nocbind noopt_ieee -size_t64 -dw -Wf\"-A dbl4\" -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sx8mercure  F_F = $(F_O) -f3
-#-Q- sx8mercure  L_X = $(L_O) -ftrace
-#-Q- sx8brodie  # Compiler options NEMO (CEA SX6-NEC) 
-#-Q- sx8brodie  F_O =  -f2003 nocbind noopt_ieee -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sx8brodie  F_F = $(F_O) -f3
+#-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
+#-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
+#-Q- platine L_X = $(L_O) 
+#-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  L_X = $(L_O)
+#-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
+#-Q- sx8brodie  F_O =  -f2003 nocbind -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sx8brodie  L_X = $(L_O)
 #-Q- sxdkrz  # Compiler options for NEMO (DKRZ SX6-NEC) 
-#-Q- sxdkrz  F_O =  -f2003 nocbind noopt_ieee -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sxdkrz  F_F = $(F_O) -f3
+#-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sxdkrz  L_X = $(L_O) -ftrace
 #-Q- eshpux  # Compiler options for NEMO (Earth Simulator)
 #-Q- eshpux  # for super perfs!
-#-Q- eshpux  # F_O = -f2003 nocbind noopt_ieee $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- eshpux  # regular options!
-#-Q- eshpux  F_O = -f2003 nocbind noopt_ieee $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- eshpux  F_F = $(F_O) -f3
+#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- eshpux  L_X = $(L_O)
 #-Q- linux  # Compiler options for NEMO (pgf version)
-#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC)
-#-Q- linux  F_F = $(F_O)-Mextend
+#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- linux  L_X = -r8 -O3
 #-Q- lxiv7  # Compiler options for NEMO (ifc version)
-#-Q- lxiv7  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC)
-#-Q- lxiv7  F_F = $(F_O) -extend_source 
+#-Q- lxiv7  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- lxiv7  L_X = -r8 -O3
 #-Q- lxiv8  # Compiler options for NEMO (ifort version)
-#-Q- lxiv8  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC)
-#-Q- lxiv8  F_F = $(F_O) -extend_source 
+#-Q- lxiv8  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- lxiv8  L_X = -r8 -O3
 #-Q- g95  # Compiler options for NEMO (g95 version)
-#-Q- g95  F_O = -O3 -fno-second-underscore -r8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- g95  F_F = $(F_O)-ffixed-form -ffixed-line-length-132
+#-Q- g95  F_O = -O3 -fno-second-underscore -r8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- g95  L_X = -r8 -O3
 #-Q- gfortran  # Compiler options for NEMO (gfortran version)
-#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- gfortran  F_F = $(F_O)-ffixed-form -ffixed-line-length-132
+#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- gfortran  L_X = -fdefault-real-8
 #-Q- aix    # Compiler options for NEMO (aix version)
-#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- aix    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- aix   L_O = $(F_P) -q64 -O3
 #-Q- aix   L_X = $(L_O)
+#-Q- aix6    # Compiler options for NEMO (aix6 version)
+#-Q- aix6    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- aix6   L_O = $(F_P) -q64 -O3
+#-Q- aix6   L_X = $(L_O)
 #-Q- babel  # Compiler options for NEMO (blue gene version)
-#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- babel  F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- babel  L_X = $(L_O)
 #-Q- osxxlf    # Compiler options for NEMO (osxxlf version)
-#-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- osxxlf    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- osxxlf    L_X = -qrealsize=8 -O3
 PREF=
@@ -67,5 +61,5 @@
 
 # add suffix to P_P
-P_P := $(P_P:%=$(prefix)%)
+override P_P := $(P_P:%=$(prefix)%)
 
 # Some tests to define variables related to Agrif compilation
@@ -89,4 +83,5 @@
      key_bdy \
      key_c1d \
+     key_cfg_1d \
      key_coupled \
      key_cpl_albedo \
@@ -126,6 +121,4 @@
      key_lim2 \
      key_lim3 \
-     key_lim_cp2 \
-     key_lim_cp3 \
      key_mpp_dyndist \
      key_mpp_mpi \
@@ -140,7 +133,5 @@
      key_orca_r2 \
      key_orca_r4 \
-     key_passivetrc \
      key_pisces \
-     key_sbc_cpl \
      key_sigma_vvl \
      key_top \
@@ -167,5 +158,6 @@
      key_zdfkpp \
      key_zdfric \
-     key_zdftke 
+     key_zdftke \
+     key_zdftke2 
 # .o file list in the library
 LIB_OBJ = \
@@ -178,4 +170,5 @@
 		$(MODEL_LIB)(agrif_opa_update.o)\
 		$(MODEL_LIB)(agrif_top_interp.o)\
+		$(MODEL_LIB)(agrif_top_sponge.o)\
 		$(MODEL_LIB)(agrif_top_update.o)\
 		$(MODEL_LIB)(agrif_user.o)\
@@ -196,5 +189,4 @@
 		$(MODEL_LIB)(cpl_oasis3.o)\
 		$(MODEL_LIB)(cpl_oasis4.o)\
-		$(MODEL_LIB)(cpl_oce.o)\
 		$(MODEL_LIB)(ctlopn.o)\
 		$(MODEL_LIB)(daymod.o)\
@@ -386,4 +378,5 @@
 		$(MODEL_LIB)(zdfric.o)\
 		$(MODEL_LIB)(zdftke.o)\
+		$(MODEL_LIB)(zdftke2.o)\
 		$(MODEL_LIB)(zpshde.o)
 
@@ -408,7 +401,7 @@
 $(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model.o
 ifeq ($(AGRIF),use)
-		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(USER_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
 else
-		$(F_L) $(L_X) -o $(EXEC_BIN) model.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+		$(F_L) $(L_X) -o $(EXEC_BIN) model.o $(SXMODEL_LIB) $(USER_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
 endif
 
@@ -431,4 +424,5 @@
 	@$(F_C) \
 #-Q- aix		-qsuffix=f=F90 \
+#-Q- aix6		-qsuffix=f=F90 \
 #-Q- babel		-qsuffix=f=F90 \
 #-Q- osxxlf		-qsuffix=f=F90 \
@@ -439,4 +433,5 @@
 #-Q- sxdkrz		-R2 \
 #-Q- eshpux		-R2 \
+#-Q- aix6		-qsource \
 #-Q- aix		-qsource \
 #-Q- babel		-qsource \
@@ -477,4 +472,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- aix6		-qsource \
 #-Q- babel		-qsource \
 		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
@@ -485,4 +481,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- aix6		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -510,4 +507,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- aix6		-qsource \
 #-Q- babel		-qsource \
 		OPAFILES/$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; } 
@@ -520,4 +518,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- aix6		-qsource \
 #-Q- babel		-qsource \
 		$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
@@ -529,4 +528,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- aix6		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -534,69 +534,4 @@
 		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
-# rules for the .F files
-.F.a :           
-ifeq ($(AGRIF),use) 
-		@$(P_C) $(P_O) -IOPAFILES/AGRIF_INC $*.F > OPAFILES/$*.F 
-		@(cd OPAFILES ; ./conv agrif_opa.in -rm \
-#-Q- linux		-SubloopScalar \
-#-Q- g95			-SubloopScalar \
-#-Q- f95			-SubloopScalar \
-#-Q- osf1			-SubloopScalar \
-		-comdirin ./ -comdirout AGRIF_MODELFILES/. -convfile $*.F)
-		-@mv -f OPAFILES/AGRIF_MODELFILES/$*.F OPAFILES/$*.F
-		@$(P_C) $(P_O) -IOPAFILES/AGRIF_INC OPAFILES/$*.F > OPAFILES/AGRIF_MODELFILES/$*.F
-		-@mv -f OPAFILES/AGRIF_MODELFILES/$*.F OPAFILES/$*.F
-		@$(F_C) $(P_P) $(F_F) \
-#-Q- fjvpp		-Z $*.L \
-#-Q- sx8mercure		-R2 \
-#-Q- sx8brodie		-R2 \
-#-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
-#-Q- aix		-qsource \
-#-Q- babel		-qsource \
-		OPAFILES/$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; } 
-else
-		@$(F_C) $(P_P) $(F_O) \
-#-Q- fjvpp		-Z $*.L \
-#-Q- sx8mercure		-R2 \
-#-Q- sx8brodie		-R2 \
-#-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
-#-Q- aix		-qsource \
-#-Q- babel		-qsource \
-		$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
-endif
-#-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
-		@$(RM) $*.[of]
-		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
-#-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
-
-# rules for the library from the .f files 
-.f.a : 		
-		@$(F_C) $(F_O) \
-#-Q- fjvpp		-Z $*.L \
-#-Q- sx8mercure		-R2 \
-#-Q- sx8brodie		-R2 \
-#-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
-#-Q- aix		-qsource \
-#-Q- babel		-qsource \
-		$*.f|| { if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi ; false ; exit ; }
-#-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
-		@$(RM) -f $*.o
-#-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- linux	@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi
-
 $(MODEL_LIB)(agrif_oce.o) :	\
 	$(MODEL_LIB)(par_kind.o) \
@@ -671,4 +606,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -684,4 +620,5 @@
 	lib_mpp.F90 \
 	obc_oce.F90 \
+	obc_par.F90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -719,14 +656,10 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sms.o) \
 	$(MODEL_LIB)(sol_oce.o) \
-	$(MODEL_LIB)(trcstp.o) \
 	agrif_oce.F90 \
 	dom_oce.F90 \
 	oce.F90 \
 	par_oce.F90 \
-	sms.F90 \
 	sol_oce.F90 \
-	trcstp.F90 \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
@@ -734,4 +667,27 @@
 	KEY_CPP \
 	agrif_top_interp.F90
+$(MODEL_LIB)(agrif_top_sponge.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	agrif_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	domzgr_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
+	agrif_top_sponge.F90
 $(MODEL_LIB)(agrif_top_update.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -745,12 +701,8 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trcstp.o) \
 	agrif_oce.F90 \
 	dom_oce.F90 \
 	oce.F90 \
 	par_oce.F90 \
-	sms.F90 \
-	trcstp.F90 \
 	domzgr_substitute.h90 \
 	$(AGRIF_LIB) \
@@ -765,5 +717,4 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
@@ -793,10 +744,8 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sms.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(step.o) \
 	$(MODEL_LIB)(step_c1d.o) \
 	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -813,5 +762,4 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	diaptr.F90 \
@@ -841,10 +789,8 @@
 	prtctl.F90 \
 	sbc_oce.F90 \
-	sms.F90 \
 	sol_oce.F90 \
 	step.F90 \
 	step_c1d.F90 \
 	trcini.F90 \
-	trcstp.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -859,4 +805,5 @@
 	$(MODEL_LIB)(agrif_opa_update.o) \
 	$(MODEL_LIB)(agrif_top_interp.o) \
+	$(MODEL_LIB)(agrif_top_sponge.o) \
 	$(MODEL_LIB)(agrif_top_update.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -866,5 +813,4 @@
 	$(MODEL_LIB)(opa.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(sms.o) \
 	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(tradmp.o) \
@@ -874,4 +820,5 @@
 	agrif_opa_update.F90 \
 	agrif_top_interp.F90 \
+	agrif_top_sponge.F90 \
 	agrif_top_update.F90 \
 	dom_oce.F90 \
@@ -881,5 +828,4 @@
 	opa.F90 \
 	par_oce.F90 \
-	sms.F90 \
 	sol_oce.F90 \
 	tradmp.F90 \
@@ -1156,4 +1102,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -1162,4 +1109,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -1188,11 +1136,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1219,11 +1169,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1316,11 +1268,13 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -1346,7 +1300,31 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	par_oce.F90 \
+	KEY_CPP \
+	cpl_oasis3.F90
+$(MODEL_LIB)(cpl_oasis4.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -1358,5 +1336,4 @@
 	iom.F90 \
 	lib_print.f90 \
-	par_ice_2.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -1366,50 +1343,11 @@
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oasis4_date.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	daymod.F90 \
 	dom_oce.F90 \
-	ice_2.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	sbc_ice.F90 \
-	KEY_CPP \
-	cpl_oasis3.F90
-$(MODEL_LIB)(cpl_oasis4.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lib_print.f90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oasis4_date.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
-	dom_oce.F90 \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
@@ -1419,11 +1357,4 @@
 	KEY_CPP \
 	cpl_oasis4.F90
-$(MODEL_LIB)(cpl_oce.o) :	\
-	$(MODEL_LIB)(par_kind.o) \
-	par_kind.F90 \
-	$(MODEL_LIB)(par_oce.o) \
-	par_oce.F90 \
-	KEY_CPP \
-	cpl_oce.F90
 $(MODEL_LIB)(ctlopn.o) :	\
 	$(MODEL_LIB)(lib_print.o) \
@@ -1440,5 +1371,4 @@
 $(MODEL_LIB)(daymod.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -1457,7 +1387,7 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -1476,4 +1406,5 @@
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1523,9 +1454,11 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -1850,4 +1783,5 @@
 $(MODEL_LIB)(diawri_c1d.o) :	\
 	$(MODEL_LIB)(closea.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
@@ -1894,4 +1828,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	closea.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	diadimg.F90 \
@@ -2234,4 +2169,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2242,4 +2178,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -3385,5 +3322,4 @@
 $(MODEL_LIB)(dynspg_exp.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3407,7 +3343,7 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -3431,4 +3367,5 @@
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3468,5 +3405,4 @@
 	$(MODEL_LIB)(bdytides.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -3506,5 +3442,4 @@
 	bdytides.F90 \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -3605,5 +3540,4 @@
 $(MODEL_LIB)(dynspg_rl.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -3634,5 +3568,4 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -3708,5 +3641,4 @@
 	$(MODEL_LIB)(bdytides.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3736,4 +3668,5 @@
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	bdy_oce.F90 \
@@ -3741,5 +3674,4 @@
 	bdytides.F90 \
 	c1d.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -3769,4 +3701,5 @@
 	trdmod.F90 \
 	trdmod_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(bdy_oce.o) \
@@ -3886,4 +3819,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -3904,4 +3838,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -4007,4 +3942,5 @@
 	$(MODEL_LIB)(zdfkpp.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	dom_oce.F90 \
 	dynzdf_exp.F90 \
@@ -4019,4 +3955,5 @@
 	zdfkpp.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
@@ -4025,9 +3962,13 @@
 	dynzdf.F90
 $(MODEL_LIB)(dynzdf_exp.o) :	\
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -4050,9 +3991,13 @@
 	dynzdf_exp.F90
 $(MODEL_LIB)(dynzdf_imp.o) :	\
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	in_out_manager.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -4399,4 +4344,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	KEY_CPP \
 	in_out_manager.F90
 $(MODEL_LIB)(iom.o) :	\
@@ -4514,5 +4460,4 @@
 	$(MODEL_LIB)(c1d.o) \
 	$(MODEL_LIB)(cla_dynspg.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -4568,5 +4513,4 @@
 	c1d.F90 \
 	cla_dynspg.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -5102,7 +5046,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5112,5 +5053,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -5123,7 +5063,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5133,10 +5070,8 @@
 	prtctl.F90 \
 	sbc_ice.F90 \
-	sbc_oce.F90 \
 	$(MODEL_LIB)(dom_ice_2.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -5151,5 +5086,4 @@
 	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -5367,14 +5301,9 @@
 	limrst_2.F90
 $(MODEL_LIB)(limsbc_2.o) :	\
-	$(MODEL_LIB)(dom_ice_2.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5382,16 +5311,9 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	dom_ice_2.F90 \
-	dom_oce.F90 \
-	ice_2.F90 \
-	ice_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5399,12 +5321,10 @@
 	par_oce.F90 \
 	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
 	$(MODEL_LIB)(albedo.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -5415,9 +5335,9 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	albedo.F90 \
+	cpl_oasis3.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
 	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -5436,15 +5356,13 @@
 	limtab_2.F90
 $(MODEL_LIB)(limthd_2.o) :	\
-	$(MODEL_LIB)(dom_ice_2.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5452,46 +5370,40 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(thd_ice_2.o) \
+	cpl_oasis3.F90 \
+	dom_oce.F90 \
+	ice_2.F90 \
+	ice_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	limistate_2.F90 \
+	oce.F90 \
+	par_ice_2.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	thd_ice_2.F90 \
+	$(MODEL_LIB)(cpl_oasis3.o) \
+	$(MODEL_LIB)(dom_ice_2.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(ice_2.o) \
+	$(MODEL_LIB)(ice_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(limtab_2.o) \
+	$(MODEL_LIB)(limthd_lac_2.o) \
+	$(MODEL_LIB)(limthd_zdf_2.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(thd_ice_2.o) \
+	cpl_oasis3.F90 \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
 	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
-	oce.F90 \
-	par_ice_2.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
-	thd_ice_2.F90 \
-	$(MODEL_LIB)(dom_ice_2.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(limtab_2.o) \
-	$(MODEL_LIB)(limthd_lac_2.o) \
-	$(MODEL_LIB)(limthd_zdf_2.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(thd_ice_2.o) \
-	dom_ice_2.F90 \
-	dom_oce.F90 \
-	ice_2.F90 \
-	ice_oce.F90 \
-	iceini_2.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -5510,5 +5422,4 @@
 $(MODEL_LIB)(limthd_lac_2.o) :	\
 	$(MODEL_LIB)(dom_ice_2.o) \
-	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(ice_2.o) \
@@ -5517,7 +5428,4 @@
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5525,8 +5433,5 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	dom_ice_2.F90 \
-	dom_oce.F90 \
 	eosbn2.F90 \
 	ice_2.F90 \
@@ -5535,7 +5440,4 @@
 	iom.F90 \
 	lbclnk.F90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5543,14 +5445,12 @@
 	par_oce.F90 \
 	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
+	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(limistate_2.o) \
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(thd_ice_2.o) \
+	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
 	limistate_2.F90 \
 	par_oce.F90 \
@@ -5569,7 +5469,4 @@
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5577,6 +5474,4 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -5588,7 +5483,4 @@
 	lbclnk.F90 \
 	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5596,8 +5488,7 @@
 	par_oce.F90 \
 	phycst.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
+	$(MODEL_LIB)(cpl_oasis3.o) \
+	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(limistate_2.o) \
@@ -5605,6 +5496,7 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(thd_ice_2.o) \
+	cpl_oasis3.F90 \
+	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
 	in_out_manager.F90 \
 	limistate_2.F90 \
@@ -5625,7 +5517,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(limistate_2.o) \
-	$(MODEL_LIB)(limmsh_2.o) \
-	$(MODEL_LIB)(limrst_2.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -5635,6 +5524,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
 	dom_ice_2.F90 \
 	dom_oce.F90 \
@@ -5647,7 +5534,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	limistate_2.F90 \
-	limmsh_2.F90 \
-	limrst_2.F90 \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -5657,6 +5541,4 @@
 	prtctl.F90 \
 	restart.F90 \
-	sbc_ice.F90 \
-	sbc_oce.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
@@ -5664,5 +5546,4 @@
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -5677,5 +5558,4 @@
 	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
 	in_out_manager.F90 \
 	lbclnk.F90 \
@@ -5693,4 +5573,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -5706,4 +5587,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -5750,5 +5632,4 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
@@ -5785,5 +5666,4 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	diaptr.F90 \
@@ -6293,4 +6173,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(obc_par.o) \
@@ -6299,4 +6180,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	obc_par.F90 \
@@ -6338,5 +6220,5 @@
 	$(MODEL_LIB)(cla_div.o) \
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diafwb.o) \
@@ -6348,4 +6230,5 @@
 	$(MODEL_LIB)(diaspr.o) \
 	$(MODEL_LIB)(diawri.o) \
+	$(MODEL_LIB)(diawri_c1d.o) \
 	$(MODEL_LIB)(divcur.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6359,7 +6242,9 @@
 	$(MODEL_LIB)(dtatem.o) \
 	$(MODEL_LIB)(dynadv.o) \
+	$(MODEL_LIB)(dyncor_c1d.o) \
 	$(MODEL_LIB)(dynhpg.o) \
 	$(MODEL_LIB)(dynldf.o) \
 	$(MODEL_LIB)(dynnxt.o) \
+	$(MODEL_LIB)(dynnxt_c1d.o) \
 	$(MODEL_LIB)(dynspg.o) \
 	$(MODEL_LIB)(dynspg_exp.o) \
@@ -6372,5 +6257,4 @@
 	$(MODEL_LIB)(flo_oce.o) \
 	$(MODEL_LIB)(floats.o) \
-	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6397,6 +6281,6 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbccpl.o) \
 	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -6432,4 +6316,5 @@
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	agrif_opa_sponge.F90 \
@@ -6442,5 +6327,5 @@
 	cla_div.F90 \
 	closea.F90 \
-	cpl_oce.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	diafwb.F90 \
@@ -6452,4 +6337,5 @@
 	diaspr.F90 \
 	diawri.F90 \
+	diawri_c1d.F90 \
 	divcur.F90 \
 	dom_oce.F90 \
@@ -6463,7 +6349,9 @@
 	dtatem.F90 \
 	dynadv.F90 \
+	dyncor_c1d.F90 \
 	dynhpg.F90 \
 	dynldf.F90 \
 	dynnxt.F90 \
+	dynnxt_c1d.F90 \
 	dynspg.F90 \
 	dynspg_exp.F90 \
@@ -6476,5 +6364,4 @@
 	flo_oce.F90 \
 	floats.F90 \
-	ice_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -6501,6 +6388,6 @@
 	prtctl.F90 \
 	restart.F90 \
-	sbc_ice.F90 \
 	sbc_oce.F90 \
+	sbccpl.F90 \
 	sbcmod.F90 \
 	sbcrnf.F90 \
@@ -6536,4 +6423,5 @@
 	zdfric.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(bdy_par.o) \
@@ -6542,5 +6430,4 @@
 	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diaptr.o) \
@@ -6577,5 +6464,4 @@
 	cpl_oasis3.F90 \
 	cpl_oasis4.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	diaptr.F90 \
@@ -6694,5 +6580,4 @@
 	zdfddm.F90 \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -6702,7 +6587,7 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -6712,4 +6597,5 @@
 	phycst.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	vectopt_loop_substitute.h90 \
@@ -6724,8 +6610,24 @@
 	sbc_ice.F90
 $(MODEL_LIB)(sbc_oce.o) :	\
-	$(MODEL_LIB)(par_kind.o) \
-	par_kind.F90 \
-	$(MODEL_LIB)(par_oce.o) \
-	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	lbclnk.F90 \
+	par_oce.F90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
 	sbc_oce.F90
 $(MODEL_LIB)(sbcana.o) :	\
@@ -6733,4 +6635,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -6744,4 +6647,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbclnk.F90 \
 	lib_mpp.F90 \
 	lib_print.f90 \
@@ -6820,5 +6724,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
@@ -6835,5 +6738,4 @@
 	lib_mpp.F90 \
 	oce.F90 \
-	par_ice_2.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -6906,7 +6808,7 @@
 	sbcblk_core.F90
 $(MODEL_LIB)(sbccpl.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(ice_2.o) \
+	$(MODEL_LIB)(c1d.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
@@ -6918,5 +6820,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oasis4_date.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_ice_2.o) \
@@ -6924,10 +6825,10 @@
 	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	ice_2.F90 \
+	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zpshde.o) \
+	c1d.F90 \
+	dom_oce.F90 \
+	eosbn2.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
@@ -6939,5 +6840,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	oasis4_date.F90 \
 	oce.F90 \
 	par_ice_2.F90 \
@@ -6945,36 +6845,40 @@
 	par_oce.F90 \
 	phycst.F90 \
-	prtctl.F90 \
+	trdmld_oce.F90 \
+	zdf_oce.F90 \
+	zpshde.F90 \
+	$(MODEL_LIB)(albedo.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(geo2ocean.o) \
+	$(MODEL_LIB)(ice_2.o) \
+	$(MODEL_LIB)(ice_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_ice.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	albedo.F90 \
+	cpl_oasis3.F90 \
+	dom_oce.F90 \
+	geo2ocean.F90 \
+	ice_2.F90 \
+	ice_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	oce.F90 \
+	par_kind.F90 \
+	phycst.F90 \
 	restart.F90 \
 	sbc_ice.F90 \
-	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(geo2ocean.o) \
-	$(MODEL_LIB)(ice_2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_ice.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	cpl_oasis3.F90 \
-	cpl_oasis4.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	geo2ocean.F90 \
-	ice_2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	phycst.F90 \
-	sbc_ice.F90 \
 	sbc_oce.F90 \
-	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
 	KEY_CPP \
 	sbccpl.F90
@@ -7045,4 +6949,5 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -7058,4 +6963,5 @@
 	in_out_manager.F90 \
 	iom.F90 \
+	lbclnk.F90 \
 	lib_print.f90 \
 	par_kind.F90 \
@@ -7065,5 +6971,4 @@
 	restart.F90 \
 	sbc_oce.F90 \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7074,5 +6979,4 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -7156,5 +7060,4 @@
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -7180,5 +7083,4 @@
 	lib_print.f90 \
 	oce.F90 \
-	par_ice_2.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -7190,5 +7092,4 @@
 	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7208,5 +7109,4 @@
 	albedo.F90 \
 	c1d.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -7230,4 +7130,5 @@
 $(MODEL_LIB)(sbcice_lim_2.o) :	\
 	$(MODEL_LIB)(albedo.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -7236,7 +7137,7 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(fldread.o) \
+	$(MODEL_LIB)(geo2ocean.o) \
 	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
-	$(MODEL_LIB)(iceini_2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
@@ -7270,4 +7171,5 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	albedo.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	dianam.F90 \
@@ -7276,7 +7178,7 @@
 	dynspg_oce.F90 \
 	fldread.F90 \
+	geo2ocean.F90 \
 	ice_2.F90 \
 	ice_oce.F90 \
-	iceini_2.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
@@ -7311,5 +7213,4 @@
 	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
@@ -7332,4 +7233,5 @@
 	$(MODEL_LIB)(limwri_2.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
@@ -7338,7 +7240,7 @@
 	$(MODEL_LIB)(sbcblk_clio.o) \
 	$(MODEL_LIB)(sbcblk_core.o) \
+	$(MODEL_LIB)(sbccpl.o) \
 	albedo.F90 \
 	c1d.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_ice_2.F90 \
@@ -7361,4 +7263,5 @@
 	limwri_2.F90 \
 	oce.F90 \
+	par_ice_2.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -7367,4 +7270,5 @@
 	sbcblk_clio.F90 \
 	sbcblk_core.F90 \
+	sbccpl.F90 \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
@@ -7376,6 +7280,4 @@
 	$(MODEL_LIB)(closea.o) \
 	$(MODEL_LIB)(cpl_oasis3.o) \
-	$(MODEL_LIB)(cpl_oasis4.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_ice_2.o) \
@@ -7415,6 +7317,8 @@
 	$(MODEL_LIB)(sbcblk_clio.o) \
 	$(MODEL_LIB)(sbcblk_core.o) \
+	$(MODEL_LIB)(sbccpl.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	albedo.F90 \
@@ -7422,6 +7326,4 @@
 	closea.F90 \
 	cpl_oasis3.F90 \
-	cpl_oasis4.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_ice_2.F90 \
@@ -7461,8 +7363,11 @@
 	sbcblk_clio.F90 \
 	sbcblk_core.F90 \
+	sbccpl.F90 \
 	sbcrnf.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(closea.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7488,4 +7393,5 @@
 	$(MODEL_LIB)(sbcssr.o) \
 	closea.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -7569,5 +7475,4 @@
 $(MODEL_LIB)(sbcssm.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -7588,7 +7493,7 @@
 	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -7609,4 +7514,5 @@
 	restart.F90 \
 	trdmld_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(daymod.o) \
@@ -7941,4 +7847,5 @@
 	$(MODEL_LIB)(agrif_opa_interp.o) \
 	$(MODEL_LIB)(agrif_opa_update.o) \
+	$(MODEL_LIB)(albedo.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdydta.o) \
@@ -7948,5 +7855,5 @@
 	$(MODEL_LIB)(c1d.o) \
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
@@ -7982,4 +7889,6 @@
 	$(MODEL_LIB)(flodom.o) \
 	$(MODEL_LIB)(flowri.o) \
+	$(MODEL_LIB)(geo2ocean.o) \
+	$(MODEL_LIB)(ice_2.o) \
 	$(MODEL_LIB)(ice_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7996,4 +7905,5 @@
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(obccli.o) \
 	$(MODEL_LIB)(obcdyn.o) \
@@ -8054,8 +7964,10 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	agrif_oce.F90 \
 	agrif_opa_interp.F90 \
 	agrif_opa_update.F90 \
+	albedo.F90 \
 	bdy_oce.F90 \
 	bdydta.F90 \
@@ -8065,5 +7977,5 @@
 	c1d.F90 \
 	closea.F90 \
-	cpl_oce.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	diadimg.F90 \
@@ -8099,4 +8011,6 @@
 	flodom.F90 \
 	flowri.F90 \
+	geo2ocean.F90 \
+	ice_2.F90 \
 	ice_oce.F90 \
 	in_out_manager.F90 \
@@ -8113,4 +8027,5 @@
 	lib_print.f90 \
 	obc_oce.F90 \
+	obc_par.F90 \
 	obccli.F90 \
 	obcdyn.F90 \
@@ -8171,4 +8086,5 @@
 	zdfmxl.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(agrif_opa_sponge.o) \
@@ -8177,5 +8093,5 @@
 	$(MODEL_LIB)(cla.o) \
 	$(MODEL_LIB)(cla_div.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diafwb.o) \
@@ -8218,4 +8134,5 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbccpl.o) \
 	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -8246,4 +8163,5 @@
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	agrif_opa_sponge.F90 \
@@ -8252,5 +8170,5 @@
 	cla.F90 \
 	cla_div.F90 \
-	cpl_oce.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	diafwb.F90 \
@@ -8293,4 +8211,5 @@
 	prtctl.F90 \
 	restart.F90 \
+	sbccpl.F90 \
 	sbcmod.F90 \
 	sbcrnf.F90 \
@@ -8321,4 +8240,5 @@
 	zdfric.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	zpshde.F90 \
 	domzgr_substitute.h90 \
@@ -8333,5 +8253,5 @@
 	$(MODEL_LIB)(c1d.o) \
 	$(MODEL_LIB)(closea.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diadimg.o) \
@@ -8377,4 +8297,5 @@
 	$(MODEL_LIB)(sbcice_lim.o) \
 	$(MODEL_LIB)(sbcice_lim_2.o) \
+	$(MODEL_LIB)(sbcmod.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(sbcssm.o) \
@@ -8394,4 +8315,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	agrif_opa_interp.F90 \
@@ -8400,5 +8322,5 @@
 	c1d.F90 \
 	closea.F90 \
-	cpl_oce.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	diadimg.F90 \
@@ -8444,4 +8366,5 @@
 	sbcice_lim.F90 \
 	sbcice_lim_2.F90 \
+	sbcmod.F90 \
 	sbcrnf.F90 \
 	sbcssm.F90 \
@@ -8461,10 +8384,14 @@
 	zdfmxl.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(diawri.o) \
+	$(MODEL_LIB)(diawri_c1d.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtasal.o) \
 	$(MODEL_LIB)(dtatem.o) \
+	$(MODEL_LIB)(dyncor_c1d.o) \
+	$(MODEL_LIB)(dynnxt_c1d.o) \
 	$(MODEL_LIB)(dynzdf.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -8495,7 +8422,10 @@
 	daymod.F90 \
 	diawri.F90 \
+	diawri_c1d.F90 \
 	dom_oce.F90 \
 	dtasal.F90 \
 	dtatem.F90 \
+	dyncor_c1d.F90 \
+	dynnxt_c1d.F90 \
 	dynzdf.F90 \
 	eosbn2.F90 \
@@ -8690,4 +8620,5 @@
 $(MODEL_LIB)(traadv_cen2.o) :	\
 	$(MODEL_LIB)(closea.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -8732,4 +8663,5 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	closea.F90 \
+	cpl_oasis3.F90 \
 	daymod.F90 \
 	dianam.F90 \
@@ -9475,4 +9407,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	diaptr.F90 \
 	dom_oce.F90 \
@@ -9506,4 +9439,5 @@
 	zdfmxl.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -9985,4 +9919,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10003,4 +9938,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10044,4 +9980,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -10065,4 +10002,5 @@
 	dom_oce.F90 \
 	in_out_manager.F90 \
+	lbclnk.F90 \
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
@@ -10190,4 +10128,5 @@
 	$(MODEL_LIB)(zdfkpp.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	dom_oce.F90 \
 	domvvl.F90 \
@@ -10207,4 +10146,5 @@
 	zdfkpp.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
@@ -10430,5 +10370,4 @@
 $(MODEL_LIB)(trdmld.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -10455,5 +10394,4 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -10528,5 +10466,4 @@
 $(MODEL_LIB)(trdmld_rst.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -10548,7 +10485,7 @@
 	$(MODEL_LIB)(trdmld_oce.o) \
 	$(MODEL_LIB)(trdvor_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -10570,4 +10507,5 @@
 	trdmld_oce.F90 \
 	trdvor_oce.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	$(MODEL_LIB)(daymod.o) \
@@ -10752,4 +10690,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(par_kind.o) \
@@ -10765,4 +10704,5 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
+	obc_par.F90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -10775,4 +10715,6 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
@@ -10784,4 +10726,6 @@
 	in_out_manager.F90 \
 	lbclnk.F90 \
+	obc_oce.F90 \
+	obc_par.F90 \
 	oce.F90 \
 	phycst.F90 \
@@ -10964,4 +10908,5 @@
 	$(MODEL_LIB)(zdfric.o) \
 	$(MODEL_LIB)(zdftke.o) \
+	$(MODEL_LIB)(zdftke2.o) \
 	in_out_manager.F90 \
 	ldfdyn_oce.F90 \
@@ -10977,4 +10922,5 @@
 	zdfric.F90 \
 	zdftke.F90 \
+	zdftke2.F90 \
 	zdfini.F90
 $(MODEL_LIB)(zdfkpp.o) :	\
@@ -11098,5 +11044,4 @@
 $(MODEL_LIB)(zdftke.o) :	\
 	$(MODEL_LIB)(c1d.o) \
-	$(MODEL_LIB)(cpl_oce.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(domvvl.o) \
@@ -11124,5 +11069,4 @@
 	$(MODEL_LIB)(zpshde.o) \
 	c1d.F90 \
-	cpl_oce.F90 \
 	dom_oce.F90 \
 	domvvl.F90 \
@@ -11179,4 +11123,85 @@
 	KEY_CPP \
 	zdftke.F90
+$(MODEL_LIB)(zdftke2.o) :	\
+	$(MODEL_LIB)(c1d.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domvvl.o) \
+	$(MODEL_LIB)(eosbn2.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(iom_def.o) \
+	$(MODEL_LIB)(iom_ioipsl.o) \
+	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom_rstdimg.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(trdmld_oce.o) \
+	$(MODEL_LIB)(trdmod.o) \
+	$(MODEL_LIB)(trdmod_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zpshde.o) \
+	c1d.F90 \
+	dom_oce.F90 \
+	domvvl.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	sbc_oce.F90 \
+	trdmld_oce.F90 \
+	trdmod.F90 \
+	trdmod_oce.F90 \
+	zdf_oce.F90 \
+	zdfddm.F90 \
+	zpshde.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynzdf_exp.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(restart.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(trazdf_exp.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	dom_oce.F90 \
+	dynzdf_exp.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	restart.F90 \
+	sbc_oce.F90 \
+	trazdf_exp.F90 \
+	zdf_oce.F90 \
+	zdfmxl.F90 \
+	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	zdftke2.F90
 $(MODEL_LIB)(zpshde.o) :	\
 	$(MODEL_LIB)(dom_oce.o) \
@@ -11263,18 +11288,5 @@
 	echo "   use OPA_SRC files"                ; \
 	    ln -sf ../OPA_SRC/*.[Ffh]90          . ; \
-	    ln -sf ../OPA_SRC/DYN/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/TRA/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/TRD/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/DIA/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/DOM/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/OBC/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/FLO/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/LDF/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/ZDF/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/SOL/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/DTA/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/SBC/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/IOM/*.[Ffh]90      . ; \
-      ln -sf ../OPA_SRC/BDY/*.[Ffh]90      . ; \
+	    ln -sf ../OPA_SRC/*/*.[Ffh]90      . ; \
   fi 
 	@check=`grep LIM_SRC_3 .config`              ; \
@@ -11300,11 +11312,5 @@
       \$(RM) trcini.F90                      ; \
       ln -sf ../TOP_SRC/*.[Ffh]90          . ; \
-      ln -sf ../TOP_SRC/TRP/*.[Ffh]90      . ; \
-      ln -sf ../TOP_SRC/PISCES/*.[Ffh]90   . ; \
-      ln -sf ../TOP_SRC/LOBSTER/*.[Ffh]90  . ; \
-      ln -sf ../TOP_SRC/CFC/*.[Ffh]90      . ; \
-      ln -sf ../TOP_SRC/MY_TRC/*.[Ffh]90   . ; \
-      ln -sf ../TOP_SRC/SED/*.[Ffh]90      . ; \
-      ln -sf ../TOP_SRC/DUMMY/*.[Ffh]90    . ; \
+      ln -sf ../TOP_SRC/*/*.[Ffh]90      . ; \
   fi 
 	@check=`grep OFF_SRC .config`              ; \
@@ -11320,4 +11326,7 @@
       \$(RM) agrif_opa_sponge.F90           ; \
       \$(RM) agrif_opa_update.F90           ; \
+      \$(RM) agrif_top_interp.F90           ; \
+      \$(RM) agrif_top_sponge.F90           ; \
+      \$(RM) agrif_top_update.F90           ; \
       ln -sf ../NST_SRC/*.[Ffh]90      .     ; \
   fi 
Index: trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 1203)
+++ trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 1272)
@@ -44,5 +44,6 @@
 #-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- aix6   prefix = -WF,-D
 #-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
-
+#-Q- platine prefix= -Wp,-D
